Subject: Re: linux-next: Tree for Apr 10 (lib/test_printf.ko)

From: Steven Rostedt <[email-masked]>
Date: Wed, 15 Apr 2020 14:55:45 -0400

On Tue, Apr 14, 2020 at 12:26:29PM -0700, Brendan Higgins wrote:
> On Sat, Apr 11, 2020 at 11:22 PM Randy Dunlap <[email-masked]> wrote:
> >
> > On 4/11/20 10:36 PM, Naresh Kamboju wrote:
> > > FYI,
> > >
> > > Is this problem related to,
> > >
> > > Regression reported on Linux next 5.6.0-rc4-next-20200305 on x86_64,
> > > i386, arm and arm64. The steps to reproduce is running kselftests lib
> > > printf.sh test case.
> > > Which is doing modprobe operations.
> > >
> > > BUG: kernel NULL pointer dereference, address: 00 - ida_free+0x76/0x140
> > >
> > > https://lore.kernel.org/linux-kselftest/[email-masked]/T/
> > >
> >
> > Looks similar. Lots of fwnode, software_node, ida stuff there.
> 
> Sorry for the late reply, I was out.
> 
> Yeah, I am pretty sure it is the same. Heikki proposed a fix that I am
> going to try.

My test suite just tripped over this bug. Is this the patch that you think
fixes it?

https://lore.kernel.org/linux-kselftest/[email-masked]

I'll add it to see if I can continue my testing.

-- Steve